#!/bin/bash -x

DIR_NAME=foo2svi-$( grep Version foo2svi.spec | sed 's/Version: \([0-9.-]\+\)/\1/' )
RELEASE=$( grep Release foo2svi.spec | sed 's/Release: \([0-9.-]\+\)/\1/' )

function make_tarball() {
    yn='y'
    if [ -d $DIR_NAME ]; then
        echo -n "Are you sure you would like to remove "$DIR_NAME"? [y/n] "
        read yn
    fi
    if [ "$yn" == "y" ]; then
        rm -fr $DIR_NAME "$DIR_NAME".tar.gz *.rpm
        mkdir $DIR_NAME
        cp -v * $DIR_NAME
        cp -rv debian $DIR_NAME
        tar czvf "$DIR_NAME".tar.gz $DIR_NAME
        rm -fr $DIR_NAME
    else
        echo "Not continuing until $DIR_NAME is deleted..."
    fi
}

function make_rpm() {
    cwd=`pwd`
    cp -v foo2svi-1.0.tar.gz ~/rpmbuild/SOURCES/
    cp -v foo2svi/foo2svi.spec ~/rpmbuild/SPECS/
    cd ~/rpmbuild/SPECS/
    if rpmbuild -ba foo2svi.spec; then
        cp ../RPMS/noarch/"$DIR_NAME"-"$RELEASE".noarch.rpm $cwd
        cp ../SRPMS/"$DIR_NAME"-"$RELEASE".src.rpm $cwd
    else
        echo "Error making RPMS"
    fi
    cd $cwd
}

case $1 in
    tarball)
        make_tarball
        ;;
    rpm)
        make_rpm
        ;;
    *)
        ;;
esac
